=== debian/changelog ===
snapraid (11.5-1) unstable; urgency=medium

  * New upstream version 11.5

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jul 2020 15:20:50 +0800

snapraid (11.4-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #960816)

 -- Mo Zhou <lumin@debian.org>  Fri, 22 May 2020 00:42:52 +0800
