## snapraid 12.0

=== debian/changelog ===
snapraid (12.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Mo Zhou ]
  * New upstream version 12.0 (Closes: #995324)

 -- Mo Zhou <lumin@debian.org>  Sat, 08 Jan 2022 11:49:08 -0500
