## snapraid 12.1

=== debian/changelog ===
snapraid (12.1-1) unstable; urgency=medium

  * New upstream version 12.1

 -- Mo Zhou <lumin@debian.org>  Sun, 30 Jan 2022 12:47:06 -0500
