## snapraid 12.2

=== debian/changelog ===
snapraid (12.2-1) unstable; urgency=medium

  * New upstream version 12.2

 -- Mo Zhou <lumin@debian.org>  Thu, 08 Sep 2022 21:54:28 -0400
