## snapraid 12.3

=== debian/changelog ===
snapraid (12.3-1) unstable; urgency=medium

  * New upstream version 12.3

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Feb 2024 13:56:08 -0500
