## snapraid 12.4

=== debian/changelog ===
snapraid (12.4-1) unstable; urgency=medium

  * New upstream version 12.4

 -- Mo Zhou <lumin@debian.org>  Mon, 27 Jan 2025 00:21:49 -0500
