=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%snapraid-$1.tar.gz%" \
https://github.com/amadvance/snapraid/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
