## snapraid 13.0

=== debian/changelog ===
snapraid (13.0-1) unstable; urgency=medium

  * New upstream version 13.0
  * Patch man page to use /var/lib/snapraid instead, and create this
    directory for the package. (Closes: #1085307)

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Dec 2025 18:06:44 -0500
